## doc-linux-fr 2013.01

=== Makefile ===
# This is part of the fr.comp.os.linux.* FAQ.
# Copyright (c) 1997-2002 Les utilisateurs de fr.comp.os.linux.*
# See the file COPYING for copying conditions.

PROCESSOR=xsltproc --catalogs --nonet

HTMLSINGLE=to_html.xsl
HTMLMULTI=to_html-multi.xsl

# Ce chemin *ne devrait pas* tre cod en dur. Yapluka crire un bout
# de script pour aller chercher les feuilles de style l o elles sont.
# Un volontaire ?
STYLESHEETS=/usr/local/share/sgml/stylesheets

# a aussi, a devrait tre gnr automatiquement.
XMLFILES=faq-fcol.xml */*.xml

all: faq-fcol.ps faq-fcol.pdf html faq-fcol.txt

clean:
	rm -f faq-fcol-LaTeX.xml faq-fcol.aux faq-fcol.toc faq-fcol.log
	rm -f faq-fcol.html faq-fcol.txt faq-fcol.dvi faq-fcol.ps faq-fcol.pdf
	rm -f faq-fcol.tex faq-fcol.out
	rm -fr HTML

faq-fcol.ps: faq-fcol.dvi
	dvips faq-fcol.dvi -o

faq-fcol.dvi: faq-fcol.tex
	latex faq-fcol.tex ;
	while grep -s 'Rerun to get cross' faq-fcol.log ;\
	do latex faq-fcol.tex ;\
	done

faq-fcol.pdf: faq-fcol.tex
	pdflatex faq-fcol.tex ;
	while grep -s 'Rerun to get cross' faq-fcol.log ;\
	do pdflatex faq-fcol.tex ;\
	done

faq-fcol.tex: faq-fcol-LaTeX.xml
	$(PROCESSOR) to_tex.xsl faq-fcol-LaTeX.xml > faq-fcol.tex

faq-fcol-LaTeX.xml: $(XMLFILES)
	sed -e 's/%ISOent;/%TeXent;/' < faq-fcol.xml > faq-fcol-LaTeX.xml

faq-fcol.txt: faq-fcol.html
	lynx -dump -nolist faq-fcol.html > faq-fcol.txt

faq-fcol.html: $(XMLFILES)
	$(PROCESSOR) $(HTMLSINGLE) faq-fcol.xml > faq-fcol.html

html: $(XMLFILES)
	[ -d HTML ] || mkdir HTML
	cd HTML ; $(PROCESSOR) ../$(HTMLMULTI) ../faq-fcol.xml
