## doc-linux-fr 2005.08-1

=== debian/changelog ===
doc-linux-fr (2005.08-1) unstable; urgency=low

  * August release

  Added:
   XDMCP-HOWTO
   Parallel-Processing-HOWTO
   Scientific-Computing-with-GNU-Linux
   Cryptoloop-HOWTO
   XFree86-Touch-Screen-HOWTO
   K7s5a-HOWTO
   TimePrecision-HOWTO

  Updated:
   Hardware-HOWTO
   Petit-guide-du-traducteur
   Samba-Authenticated-Gateway-HOWTO
   ACPI-HOWTO
  
  * Bump Standards-Version to 3.6.2 : checklist OK.

 -- Pierre Machard <pmachard@debian.org>  Wed, 24 Aug 2005 19:27:43 +0200

doc-linux-fr (2005.02-1) unstable; urgency=medium

  * February 2005 Release (The Ginkgo release)
  
  Urgency set to medium due to the imminent release of Sarge
  
  Update fr-html/index.html location
  
  Removed unusefull .mirror files
  
  Only remove outils/RedHat-CD-HOWTO/ and not the other file under
  the same directory
  
  Added: 
    Apache-WebDAV-LDAP-HOWTO
    Chroot-BIND8-HOWTO
    Chroot-BIND-HOWTO
    CSPM-HOWTO
    Dico
    Fedora-Multimedia-Installation-HOWTO
    KDE-GUI-Login-Configuration-HOWTO
    Linux-Complete-Backup-and-Recovery-HOWTO
    Linux+IPv6-HOWTO
    LVM-HOWTO
    MMBase
    Mobile-IPv6-HOWTO
    MP3-CD-Burning
  
  Updated: 
    ACPI-HOWTO
    ATA-RAID-HOWTO
    Bootdisk-HOWTO
    Compressed-TCP
    Debian-and-Windows-Shared-Printing
    Debian-Jigdo
    DocBook-OpenJade-SGML-XML-HOWTO
    Encrypted-Root-Filesystem-HOWTO
    Event-HOWTO
    Filesystems-HOWTO
    Hardware-HOWTO
    Home-Electrical-Control
    IP-Subnetworking
    Linux-Crash-HOWTO
    Linux-Gamers-HOWTO
    Multicast-HOWTO
    Multi-Distro-Dev
    Petit-guide-du-traducteur
    Post-Installation-Checklist
    Samba-Authenticated-Gateway-HOWTO
    TransparentProxy
    Wireless-HOWTO
    XDM-Xterm

  Removed: (no need to store tar.gz files in text package)
    Authentication-Gateway-HOWTO-text.tar.gz
    Home-Network-mini-HOWTO-text.tar.gz
    Linux-Complete-Backup-and-Recovery-HOWTO-text.tar.gz
    CSPM-HOWTO-text.tar.gz
    Mobile-IPv6-HOWTO-text.tar.gz
    
    Commercial-HOWTO
    Firewall-HOWTO

 -- Pierre Machard <pmachard@debian.org>  Thu,  3 Feb 2005 19:20:15 +0100

doc-linux-fr (2004.07-1) unstable; urgency=low

  * July 2004 Release (The LSM release)
  Update index-cleaner thanks to Erwann Thoraval
  Added:
    Event-HOWTO
    Petit-guide-du-traducteur
    Linux-Gamers-HOWTO
    Hardware-HOWTO
    RedHat-CD-HOWTO
    Home-Electrical-Control
    Hard-Disk-Upgrade

 -- Pierre Machard <pmachard@debian.org>  Tue,  6 Jul 2004 12:50:41 +0200

doc-linux-fr (2004.05-1) unstable; urgency=low

  * May 2004 Release
  Added:
     Compressed-TCP
     Debian-Jigdo
     Debian-and-Windows-Shared-Printing
     DocBook-OpenJade-SGML-XML-HOWTO
     Encrypted-Root-Filesystem-HOWTO
     Filesystems-HOWTO
     Linux-Crash-HOWTO
     Multi-Distro-Dev
     Petit-guide-du-traducteur
     Post-Installation-Checklist
  Removed:
     Anon-ftp
     Busmouse-HOWTO
     Colour-ls
     DHCPcd
     DHCPd
     Dial-On-Demand
     Diald
     Dynamic-IP-Hacks
     Hard-disk-upgrade
     Howto-HOWTO
     IP-Masquerade
     Large-Disk
     Large-IDE
     Linux-From-Scratch-HOWTO
     Liste-des-HOWTO
     MIDI+SB
     NET4-HOWTO
     PPP-over-ISDN
     PPP-over-minicom
     PostgreSQL-HOWTO
     Postgres
     Proxy-ARP
     SCSI-HOWTO
     Slip+ProxyARP
     Virtual-wu-ftpd
     Win95+Win+Linux
     Win95+Win3x+Linux
     Windows-Modem-Sharing
     X-Terminal
  * Update index-cleaner to fit with upstream changes

 -- Pierre Machard <pmachard@debian.org>  Sun, 23 May 2004 15:31:54 +0200

doc-linux-fr (2003.10-1) unstable; urgency=low

  * October 2003 release
    Add : Multicast over TCP/IP HOWTO
  * Use Mirror to retrieve HOWTOs instead of wget, since wget does not
    delete obsolete files.
  * Merge Mini-HOWTO with HOWTOs.
  * Improve package management.
  * Delete Reference to the RedHat CDROM in the index.

 -- Pierre Machard <pmachard@debian.org>  Mon, 27 Oct 2003 21:48:12 +0100

doc-linux-fr (2003.09-1) unstable; urgency=low

  * Septembre 2003 release:
    - Add Samba-Authenticated-Gateway HOWTO
    - Wireless HOWTO
    - ACPI HOWTO

 -- Pierre Machard <pmachard@debian.org>  Fri, 26 Sep 2003 14:39:08 +0200

doc-linux-fr (2003.07-1) unstable; urgency=low

  * July 2003 release
  * Modify the name of indexes

 -- Pierre Machard <pmachard@debian.org>  Sun, 27 Jul 2003 10:48:14 +0200

doc-linux-fr (2003.05-1) unstable; urgency=low

  * May 2003 release
  * Add html indexes for HOWTO and mini-HOWTO
  * Update Standards-Version 

 -- Pierre Machard <pmachard@debian.org>  Thu, 29 May 2003 10:58:59 +0200

doc-linux-fr (2003.04-2) unstable; urgency=low

  * Remove dh_dhelp, since I cannot produce .dhelp automatically

 -- Pierre Machard <pmachard@tuxfamily.org>  Mon, 21 Apr 2003 22:17:13 +0200

doc-linux-fr (2003.04-1) unstable; urgency=low

  * April 2003 release
  * New rebuild of the package, add facilities to update the contents
  * Split the package in doc-linux-fr-html and doc-linux-fr-text
  * Remove the FSSTND since the FHS is already include

 -- Pierre Machard <pmachard@tuxfamily.org>  Fri, 18 Apr 2003 16:50:29 +0200

doc-linux-fr (2002.10-1) unstable; urgency=low

  * October 2002 release
  * New maintainer sponsored by Guillaume Morin <gemorin@debian.org>
  * Fix spelling error in description (closes: #124556, #146424)

 -- Pierre Machard <pmachard@tuxfamily.org>  Thu, 17 Oct 2002 08:52:14 +0200

doc-linux-fr (2001.09-1) unstable; urgency=low

  * September 2001 release
  * Package management handled mostly by debhelper v3
  * DH_COMPAT is now 3
  * control: fixed build depends
  * French HOWTO has been replaced by Francophones HOWTO (closes: #107468)

 -- Guillaume Morin <gemorin@debian.org>  Fri, 31 Aug 2001 16:48:46 +0200

doc-linux-fr (2001.05-1) unstable; urgency=low

  * May 2001 release

 -- Guillaume Morin <gemorin@debian.org>  Fri, 31 Aug 2001 16:35:07 +0200

doc-linux-fr (2000.11-1) unstable; urgency=low

  * November 2000 release 

 -- Guillaume Morin <gemorin@debian.org>  Tue, 24 Oct 2000 13:54:41 +0200


