=== debian/control ===
Source: doc-linux-fr
Section: doc
Priority: optional
Maintainer: Pierre Machard <pmachard@debian.org>
Standards-Version: 3.6.2
Build-Depends-Indep: tidy, debhelper (>> 3.0.0), mirror

Package: doc-linux-fr-html
Priority: optional
Architecture: all
Conflicts: doc-linux-fr
Replaces: doc-linux-fr
Suggests: doc-base, lynx | www-browser
Description: Linux docs in French: HOWTOs, MetaFAQs in HTML format
 This package installs the French versions of the current Linux 
 HOWTOs and mini-HOWTOs as well as the "info-sheet", "metafaq",
 "fcol-faq" and "intro" French documents on your Debian
 system in HTML format. The version number reflects the month in
 which doc-linux-fr-html was created.
 .
 All files are available at ftp://ftp.lip6.fr/pub/linux/french/docs
 (with versions in ASCII, DVI and PostScript formats).

Package: doc-linux-fr-text
Architecture: all
Conflicts: doc-linux-fr
Replaces: doc-linux-fr
Suggests: doc-linux-fr-html
Description: Linux docs in French: HOWTOs, MetaFAQs in ASCII format
 This package installs the French versions of the current Linux
 HOWTOs, mini-HOWTOs and the "fhs" on your Debian in ASCII format. 
 Alternatively, HTML versions are provided in the 
 doc-linux-fr-html package.
 .
 The version number reflects the month in which doc-linux-fr-text was created.
 .
 All files are available at ftp://ftp.lip6.fr/pub/linux/french/docs
 (with versions in ASCII, DVI and PostScript formats).
