## doc-linux-fr 2013.01

=== debian/changelog ===
doc-linux-fr (2013.01-3ubuntu1) bionic; urgency=medium

  * debian/control: build-depend on lynx instead of the deprecated lynx-cur
    transitional package.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 14 Dec 2017 19:59:51 +0100

doc-linux-fr (2013.01-3) unstable; urgency=medium

  * Add Homepage as already documented in the PTS
  * Handle patches with gbp pq
  * Update Standards-Version to 3.9.7
  * Build-depend on default-jre instead of openjdk-7-jre-headless
    (Closes: #814160)
  * Use fr_FR.UTF-8 locale during build
  * Use local resolver, thus avoiding network access
  * Fix copyright

 -- David Prévot <taffit@debian.org>  Wed, 10 Feb 2016 19:09:36 -0400

doc-linux-fr (2013.01-2) unstable; urgency=low

  * Upload to unstable (no upstream update since at least 2012)

 -- David Prévot <taffit@debian.org>  Fri, 12 Jul 2013 18:54:02 -0400

doc-linux-fr (2013.01-1) experimental; urgency=low

  * January 2013 Release:
  * Added ProductionGuidesPratiques to build HOWTO from source.
  * HOWTO update:
    - Use the source instead of prebuilt HTML and text versions
    - Text HOWTOs without extension will now get a .txt one
    - Call-back renamed as call-back
    - HOWTO-HOWTO renamed as HOWTO-Howto (not included for license issue)
    - Remove HOWTO without sources:
      + PPP-FAQ (text only)
      + HOWTO-Index (one-line text only)
    - Remove outdated documentation added back by mistake in 2012.11-1:
      + Anon-ftp
      + Busmouse-HOWTO
      + Colour-ls
      + Commercial-HOWTO
      + DHCPcd
      + DHCPd
      + Dial-On-Demand
      + Diald
      + Dynamic-IP-Hacks
      + Firewall-HOWTO
      + Install-Strategies
      + Large-Disk
      + Large-IDE
      + Linux-From-Scratch-HOWTO
      + Linux+Solaris
      + Liste-des-HOWTO
      + Mail-HOWTO
      + MIDI+SB
      + NET4-HOWTO
      + Postgres
      + PostgreSQL-HOWTO
      + PPP-over-ISDN
      + PPP-over-minicom
      + Proxy-ARP
      + SCSI-HOWTO
      + Slip+ProxyARP
      + Virtual-wu-ftpd
      + Win+BSD+Linux-Install-HOWTO
      + Win95+Win+Linux
      + Win95+Win3x+Linux
      + Windows-LAN-Server-HOWTO
      + Windows-Modem-Sharing
      + X-Terminal
    - Remove duplicated documentation added back by mistake in 2012.11-1:
      + IR-HOWTO
      + Keyboard-HOWTO
      + Linux+FreeBDS-mini-HOWTO
      + Offline-Mailing-HOWTO
    - Remove unsuitable files, Open Publication License:
      + Adv-Routing-HOWTO (v1.0+)
      + DHCP
      + lartc (v1.0+)
      + Online-Troubleshooting-HOWTO (v0.4+)
      + SquashFS-HOWTO
      + XFree86-Video-Timings-HOWTO (v2.0)
    - Remove unsuitable files, exception to redistribution with modification
      added to original licence:
      + Astronomy-HOWTO (LDP)
      + C-C++Beautifier-HOWTO (GPL)
      + CD-Distributions-EN-HOWTO (HOWTO)
      + Howto-HOWTO (GPL)
      + Installation-HOWTO (HOWTO)
      + IPMasquerading+Napster (LDP)
      + Jaz-Drive-HOWTO (GPL)
      + KDE-GUI-Login-Configuration-HOWTO (GPL)
      + Plug-and-Play-HOWTO (GPL)
      + Reading-List-HOWTO (HOWTO)
      + Text-Terminal-HOWTO (HOWTO)
      + TransparentProxy (HOWTO)
      + User-Authentication-HOWTO (HOWTO)
      + Vim-HOWTO (GPL)
      + Wacom-USB-mini-HOWTO (HOWTO)
      + XFree86-HOWTO (HOWTO)
    - Remove unsuitable files, no distribution allowed with modification:
      + Mail2News
      + RPM-HOWTO
      + SMB-HOWTO
      + StarOffice
      + UPS-HOWTO
      + FTP
    - Remove unsuitable files, non commercial distribution:
      + Process-Accounting
      + Quota (no modification either)

  * rules: 
    - Fetch ProductionGuidesPratiques source
    - Retrieve HOWTO source from FTP
    - Exclude duplicates from howto
    - Remove unsuitable files
    - Also fetch the sylesheet
    - Retrieve missing source from Subversion
    - Retrieve missing source from the wiki
    - Build HOWTO from source
    - Build PDF and PostScript
  * copyright:
    - Add ProductionGuidesPratiques license
    - Sync with HOWTO new layout
    - Document style.css
    - Document each howto
  * patches: 
    - Don't build multibloc HTML
    - Don't build DVI
  * *.install: Sync with HOWTO new layout
  * control:
    - Add build-dependencies for howto
    - Add more build-dependencies for fcol-faq
    - Order build-dependencies
  * doc-linux-fr-text.links: Add a link to fcol-faq
  * Add doc-linux-fr-ps
  * Add doc-linux-fr-pdf

 -- David Prévot <taffit@debian.org>  Mon, 31 Dec 2012 18:18:17 -0400

doc-linux-fr (2012.12-1) experimental; urgency=low

  * December 2012 Release:
    - fcol-faq updated to 20021030

  * Convert to format 3.0 (quilt)
    - Move internal tarball as external supplementary ones
  * Bump compat level to 9
  * rules:
    - Update refresh target as get-orig-source
    - Simplify, thanks to dh
    - Build fcol-faq and fhs-fr from source
  * control:
    - Document Vcs-
    - Bump Standards-Version to 3.9.4
    - Review synopsis
    - Update build dependencies
    - Remove Conflicts and Replaces against doc-linux-fr (not in oldstable)
  * copyright: Update to format 1.0
  * Add doc-base for every document
  * Make index-cleaner executable
  * Update README.source (formerly README.updating)
  * Remove useless files:
    - mirror (configuration file not used anymore)
    - doc-linux-fr-html.{postinst,prerm} (install-docs handled by triggers)
    - debian/*.dirs (not needed anymore)
    - make-dhelp (unused script)
  * fcol-faq:
    - Use docbook-xsl stylesheet instead of local one
    - Changed HTML files name
    - Also include the text version
    - Use --novalid switch for xsltproc, avoiding network access
  * fhs-fr: Use UTF-8 instead of ISO 8859-1
  * howto-text: Remove README

 -- David Prévot <taffit@debian.org>  Sat, 01 Dec 2012 07:54:48 -0400

doc-linux-fr (2012.11-1) unstable; urgency=low

  * November 2012 Release

  Added:
   AI-Alife-HOWTO
   Anon-ftp (HTML only)
   Athlon-Powersaving-HOWTO
   BackspaceDelete (HTML only)
   Boot+Root+Raid+LILO
   Busmouse-HOWTO (HTML only)

