=== debian/control ===
Source: doc-linux-fr
Section: doc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: David Prévot <taffit@debian.org>
Standards-Version: 3.9.7
Build-Depends: debhelper (>> 9)
Build-Depends-Indep: default-jre,
                     docbook-utils,
                     docbook-xml,
                     docbook-xsl,
                     docbook-xsl-saxon,
                     elinks,
                     fig2ps,
                     fop,
                     ghostscript,
                     groff,
                     html2ps,
                     htmldoc,
                     imagemagick,
                     libxml2-utils,
                     linuxdoc-tools,
                     locales-all,
                     lynx,
                     texlive-binaries,
                     texlive-lang-french,
                     texlive-latex-base,
                     tidy,
                     xsltproc
Vcs-Git: git://anonscm.debian.org/collab-maint/doc-linux-fr.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/doc-linux-fr.git
Homepage: http://www.traduc.org/

Package: doc-linux-fr-html
Architecture: all
Depends: ${misc:Depends}
Suggests: doc-base, lynx | www-browser
Description: Linux docs in French: HOWTOs, MetaFAQs in HTML format
 This package installs the French versions of the current Linux
 HOWTOs and mini-HOWTOs as well as the "info-sheet", "metafaq",
 "fcol-faq" and "intro" French documents in HTML format.
 .
 The version number reflects the month in which doc-linux-fr-html
 was created.

Package: doc-linux-fr-pdf
Architecture: all
Depends: ${misc:Depends}
Suggests: doc-linux-fr-html
Description: Linux docs in French: HOWTOs, MetaFAQs in PDF format
 This package installs the French versions of the current Linux
 HOWTOs, mini-HOWTOs as well as the "fcol-faq" French document in
 PDF format.
 Alternatively, HTML versions are provided in the
 doc-linux-fr-html package.
 .
 The version number reflects the month in which doc-linux-fr-pdf
 was created.

Package: doc-linux-fr-ps
Architecture: all
Depends: ${misc:Depends}
Suggests: doc-linux-fr-html
Description: Linux docs in French: HOWTOs, MetaFAQs in PostScript format
 This package installs the French versions of the current Linux
 HOWTOs, mini-HOWTOs and the "fhs" as well as the "fcol-faq" French
 document in PostScript format.
 Alternatively, HTML versions are provided in the
 doc-linux-fr-html package.
 .
 The version number reflects the month in which doc-linux-fr-ps
 was created.

Package: doc-linux-fr-text
Architecture: all
Depends: ${misc:Depends}
Suggests: doc-linux-fr-html
Description: Linux docs in French: HOWTOs, MetaFAQs in text format
 This package installs the French versions of the current Linux
 HOWTOs, mini-HOWTOs and the "fhs" as well as the "fcol-faq" French
 document in text format.
 Alternatively, HTML versions are provided in the
 doc-linux-fr-html package.
 .
 The version number reflects the month in which doc-linux-fr-text
 was created.
